#3025 closed defect (fixed)

m32c/m32csim does not build linpack-pc.c

Reported by: Chris Johns Owned by: joel.sherrill@…
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

1 tests m32c/m32csim build:

configure: /opt/work/chris/rtems/kernel/rtems.git/configure --target\
=m32c-rtems4.12 --enable-rtemsbsp=m32csim --prefix=/opt/rtems/4.12\
--enable-tests

error: testsuites/benchmarks/linpack/linpack-pc.c:253:33: error:

storage size of 'a' isn't constant

error: testsuites/benchmarks/linpack/linpack-pc.c:253:21: error:

storage size of 'aa' isn't constant

Change History (4)

comment:1 Changed on May 24, 2017 at 2:29:26 PM by Joel Sherrill

Disable it for this BSP. This test is almost certainly too large in some way for the m32c. I already disabled it for a number of other BSPs for similar reasons.

comment:2 Changed on May 28, 2017 at 9:58:39 PM by Chris Johns

Resolution: fixed
Status: newclosed

The test has been disabled.

comment:3 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.